You are not logged in.

#1 2012-07-19 18:54:10

Registered: 2012-07-17
Posts: 14

[SOLVED]Problem installing ATI catalyst drivers

Hello arch users, ive been having trouble when installing the ati proprietary drivers through pacman. I followed the wiki and added the catalyst repo into my pacman.conf file. however when i type in sudo pacman -Syu i get this:

:: Synchronizing package databases...
error: failed retrieving file 'catalyst.db' from : The requested URL returned error: 404
error: failed to update catalyst (download library error)
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
 there is nothing to do

and when i try to install catalyst and catalyst-utils i get this as an output:

resolving dependencies...
looking for inter-conflicts...
:: catalyst-utils and libgl are in conflict. Remove libgl? [y/N] y
:: catalyst and ati-dri are in conflict. Remove ati-dri? [y/N] y

Targets (6): ati-dri-8.0.4-1 [removal]  libgl-8.0.4-1 [removal]
             netkit-bsd-finger-0.17-7  xinetd-2.3.15-2  catalyst-12.6-3

Total Installed Size:   121.91 MiB
Net Upgrade Size:       74.13 MiB

Proceed with installation? [Y/n] y
(4/4) checking package integrity                   [######################] 100%
error: catalyst-utils: signature from "Vi0L0 <>" is unknown trust
error: catalyst: signature from "Vi0L0 <>" is unknown trust
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

any idea on what to do?
i want to use the proprietary over the open source because it gives me less problems when using 3d rendering.

or are there any other ways of installing these packages other than pacman?

Last edited by CokaBear (2012-07-19 19:45:35)


#2 2012-07-19 19:28:05

From: India
Registered: 2012-03-17
Posts: 73

Re: [SOLVED]Problem installing ATI catalyst drivers

You could add 'SigLevel = Never' under the catalyst repo in pacman.conf, so that it doesn't check for package integrity.

And about the 404, maybe your 'Server' is incorrect. I use 'Server =$arch'


#3 2012-07-19 19:45:16

Registered: 2012-07-17
Posts: 14

Re: [SOLVED]Problem installing ATI catalyst drivers

thanks so much it worked! the siglevel = never fixed the signature problems and i mistyped the server (didnt add /catalyst/ between repo and $arch lol)


Board footer

Powered by FluxBB